#
# spec file for package kalamaris (Version 0.7.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gmp gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  -b "gmp" --kde2
Name:         kalamaris
Copyright:    GPL
Group:        X11/KDE/Science
Summary:      An advanced mathematics research framework
Version:      0.7.0
Release:      108
Source0:      kalamaris-0.7.0.tar.bz2
Patch0: kalamaris-0.7.0.dif

%description
Main features of Kalamaris :
- Numerical and symbolical evaluation of user defined functions and variables
- Plots and animates functions and 2D data
- Animates sets of data in a 3D view using Mesa, with an advanced UI
- Solves systems of differential equations using several numerical methods
- Scriptable in python, perl or even shell script
- Has a friendly KDE interface

Authors:
--------
    Antonio Larrosa Jimenez <larrosa@kde.org>

SuSE series: k2de

%prep
%setup -n kalamaris-0.7.0
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make -f Makefile.cvs
make

%install
make install

%files
%doc COPYING INSTALL README 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Office
%dir /opt/kde2/share/apps/kalamaris
%dir /opt/kde2/share/apps/kalamaris/coefficients
%dir /opt/kde2/share/apps/kalamaris/icons
%dir /opt/kde2/share/apps/kalamaris/icons/locolor
%dir /opt/kde2/share/apps/kalamaris/icons/locolor/22x22
%dir /opt/kde2/share/apps/kalamaris/icons/locolor/22x22/actions
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/es
%dir /opt/kde2/share/locale/es/LC_MESSAGES
/opt/kde2/bin/kalamaris
/opt/kde2/share/applnk/Office/kalamaris.desktop
/opt/kde2/share/apps/kalamaris/coefficients/adams.10
/opt/kde2/share/apps/kalamaris/coefficients/adams.11
/opt/kde2/share/apps/kalamaris/coefficients/adams.12
/opt/kde2/share/apps/kalamaris/coefficients/adams.13
/opt/kde2/share/apps/kalamaris/coefficients/adams.14
/opt/kde2/share/apps/kalamaris/coefficients/adams.15
/opt/kde2/share/apps/kalamaris/coefficients/adams.16
/opt/kde2/share/apps/kalamaris/coefficients/adams.17
/opt/kde2/share/apps/kalamaris/coefficients/adams.18
/opt/kde2/share/apps/kalamaris/coefficients/adams.19
/opt/kde2/share/apps/kalamaris/coefficients/adams.2
/opt/kde2/share/apps/kalamaris/coefficients/adams.20
/opt/kde2/share/apps/kalamaris/coefficients/adams.3
/opt/kde2/share/apps/kalamaris/coefficients/adams.4
/opt/kde2/share/apps/kalamaris/coefficients/adams.5
/opt/kde2/share/apps/kalamaris/coefficients/adams.6
/opt/kde2/share/apps/kalamaris/coefficients/adams.7
/opt/kde2/share/apps/kalamaris/coefficients/adams.8
/opt/kde2/share/apps/kalamaris/coefficients/adams.9
/opt/kde2/share/apps/kalamaris/coefficients/adams2.10
/opt/kde2/share/apps/kalamaris/coefficients/adams2.11
/opt/kde2/share/apps/kalamaris/coefficients/adams2.12
/opt/kde2/share/apps/kalamaris/coefficients/adams2.13
/opt/kde2/share/apps/kalamaris/coefficients/adams2.14
/opt/kde2/share/apps/kalamaris/coefficients/adams2.15
/opt/kde2/share/apps/kalamaris/coefficients/adams2.16
/opt/kde2/share/apps/kalamaris/coefficients/adams2.17
/opt/kde2/share/apps/kalamaris/coefficients/adams2.18
/opt/kde2/share/apps/kalamaris/coefficients/adams2.19
/opt/kde2/share/apps/kalamaris/coefficients/adams2.2
/opt/kde2/share/apps/kalamaris/coefficients/adams2.20
/opt/kde2/share/apps/kalamaris/coefficients/adams2.3
/opt/kde2/share/apps/kalamaris/coefficients/adams2.4
/opt/kde2/share/apps/kalamaris/coefficients/adams2.5
/opt/kde2/share/apps/kalamaris/coefficients/adams2.6
/opt/kde2/share/apps/kalamaris/coefficients/adams2.7
/opt/kde2/share/apps/kalamaris/coefficients/adams2.8
/opt/kde2/share/apps/kalamaris/coefficients/adams2.9
/opt/kde2/share/apps/kalamaris/coefficients/fehlberg78
/opt/kde2/share/apps/kalamaris/icons/locolor/22x22/actions/funct.png
/opt/kde2/share/apps/kalamaris/icons/locolor/22x22/actions/precplus.png
/opt/kde2/share/apps/kalamaris/kalamaris.rc
/opt/kde2/share/locale/es/LC_MESSAGES/kalamaris.mo

%changelog -n kalamaris
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
- change neededforbuild for KDE 2.2
* Tue Jul 24 2001 - @suse.de
- update to 0.7.0
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
- changed neededforbuild <mesadev> to <mesa-devel>
* Sun Feb 04 2001 - adrian@suse.de
- inital package
